summary refs log tree commit diff
path: root/scripts-dev/check_line_terminators.sh
diff options
context:
space:
mode:
authorDan Callahan <danc@element.io>2021-10-27 21:36:18 +0100
committerGitHub <noreply@github.com>2021-10-27 21:36:18 +0100
commita1ba7a850aaad51799ce77006ac5e8a425881765 (patch)
treeaa501e65702a3e3fb179c3a0c37dc15543637f72 /scripts-dev/check_line_terminators.sh
parentAnnotate `log_function` decorator (#10943) (diff)
parentMerge remote-tracking branch 'origin/develop' into shellcheck (diff)
downloadsynapse-a1ba7a850aaad51799ce77006ac5e8a425881765.tar.xz
Update scripts to pass Shellcheck lints (#11166)
Diffstat (limited to 'scripts-dev/check_line_terminators.sh')
-rwxr-xr-xscripts-dev/check_line_terminators.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts-dev/check_line_terminators.sh b/scripts-dev/check_line_terminators.sh
index c983956231..fffa24e01e 100755
--- a/scripts-dev/check_line_terminators.sh
+++ b/scripts-dev/check_line_terminators.sh
@@ -25,7 +25,7 @@
 # terminators are found, 0 otherwise.
 
 # cd to the root of the repository
-cd `dirname $0`/..
+cd "$(dirname "$0")/.." || exit
 
 # Find and print files with non-unix line terminators
 if find . -path './.git/*' -prune -o -type f -print0 | xargs -0 grep -I -l $'\r$'; then